<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);



$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Sub Heading & Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us :', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsbuheading', 'about_area', 'Section Sub Heading Color ', '#2E8BE9');

//addColorPalatOption($wp_customize, 'about_secsbuheadinbg', 'about_area', 'Section Sub Heading BG Color ', '#76B801');

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Unleash Your Software Potential', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Section Heading Color ', '#151515');

//addColorPalatOption($wp_customize, 'about_secheadinbrd', 'about_area', 'Section Heading Border Color ', '#73552E');


$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which do not look', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#000');

$wp_customize->add_setting(
    'about_list',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>There are many variations of passages of</li> <li>available, but the majority have</li> <li>passages of Lorem Ipsum </li> <li>suffered alteration in some </li>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_list',
    array(
        'settings'      => 'about_list',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section List Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_listdt1', 'about_area', 'Section List Dot Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'about_area_listdt2', 'about_area', 'Section List Dot Color 2', '#2E8BE9');

addColorPalatOption($wp_customize, 'about_area_listtext', 'about_area', 'Section List Text Color', '#151515');

// ===============================
// $wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
// $wp_customize->add_control(
//     new luzuk_Customize_Heading(
//         $wp_customize,
//         'aboutus_npp_heading',
//         array(
//             'settings'      => 'aboutus_npp_heading',
//             'section'       => 'about_area',
//             'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
//         )
//     )
// );    

lzCustomLable($wp_customize, 'aboutarea_rhsAboutPlan', 'about_area', 'Number Of About Plan To Show');

$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-youtube-play',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='More than 60,000 courses');

// lzAddElement($wp_customize, 'aboutus_page_text'.$i, 'about_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Pellentesque auctor sagittis lacinia. Duis feugiat tristique lacus. porttitor sapien augue, id aliquet ex cursus vel.');

}


lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'Section Color');

addColorPalatOption($wp_customize, 'about_area_pagebxicn', 'about_area', 'Section Icon Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagebxicnhv', 'about_area', 'Section Icon Hover Color', '#033A9E');

addColorPalatOption($wp_customize, 'about_area_pagebxicnbg', 'about_area', 'Section Icon BG Color', '#e5e5e5');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Section Icon Title Color', '#000');


$wp_customize->add_setting(
    'abtbtntext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About us', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtntext',
    array(
        'settings'      => 'abtbtntext',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnbtnlink',
    array(
        'settings'      => 'abtbtnbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_btntxt', 'about_area', 'Section Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_btntxthv', 'about_area', 'Section Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_btnbrd', 'about_area', 'Button Border Color', '#2E8BE9');

addColorPalatOption($wp_customize, 'about_area_btnbg1', 'about_area', 'Button BG Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'about_area_btnbg2', 'about_area', 'Button BG Color 2', '#2E8BE9');

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 490X510px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_area_imgspclr', 'about_area', 'Image Corner Shape Color', '#2E8BE9');

$wp_customize->add_setting(
    'imgbt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5 YEAR', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'imgbt',
    array(
        'settings'      => 'imgbt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Years Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'about_area_ytxt', 'about_area', 'Section Years Text Color', '#000');

$wp_customize->add_setting(
    'imgst',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'EXPERIENCE', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'imgst',
    array(
        'settings'      => 'imgst',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'EXPERIENCE Text ', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'about_area_Etxt', 'about_area', 'Section Experince Text Color', '#2E8BE9');

lzCustomLable($wp_customize, 'Sec_vimg', 'about_area' , 'Video Image');

$wp_customize->add_setting(
    'vbabt_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'vbabt_image',
        array(
            'section' => 'about_area',
            'settings' => 'vbabt_image',
            'description' => __('Recommended Image Size: 238X248px', 'luzuk-premium')
        )
    )
);
// ADDRESS GOOGLE/MSN/OTHER video IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_abt_vb_embade_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
  new luzuk_Customize_Heading($wp_customize, 'luzuk_abt_vb_embade_iframe_lbl',
    array(
      'settings'      => 'luzuk_abt_vb_embade_iframe_lbl',
      'section'       => 'about_area',
      'label'         => __( 'Video Embeded Code', 'luzuk premium' ),
    )
  )
);

// end to show & hide button
// field for addeding the video code
$wp_customize->add_setting('luzuk_abt_vb_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your video embade code'));

$wp_customize->add_control('luzuk_abt_vb_embade', array('settings'=>'luzuk_abt_vb_embade', 'section'=>'about_area','type'=>'textarea', 'label'=> __('Code For Video', 'luzuk premium')));

addColorPalatOption($wp_customize, 'about_vimgolyclr', 'about_area', 'Video Image Overlay Color', '#000');

addColorPalatOption($wp_customize, 'about_vbtnicnclr', 'about_area', 'Video Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_vbtnicnbg1clr', 'about_area', 'Video Button Icon BG Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'about_vbtnicnbg2clr', 'about_area', 'Video Button Icon BG Color 2', '#2E8BE9');
